set term pdf dashed
set output "atlas.pdf"
set timefmt "%s"
set title "Data plane reachability"
set xlabel "Time"
set ylabel "Percentage of RIPE Atlas probes"
set xdata time
set grid
set key center right
set yrange [0:]
set format x "%Y-%m-%d"
set format y "%g%%"
set bmargin 7
set rmargin 7
set xtics nomirror rotate by -45

#set style line 1 lt 1 lc rgb '#1F78B4' lw 3 # dark blue
#set style line 2 lt 3 lc rgb '#1F78B4' lw 3 # dark blue
#set style line 7 lt 1 lc rgb '#FF7F00' lw 3 # dark orange
#set style line 8 lt 3 lc rgb '#FF7F00' lw 3 # dark orange
#set style line 3 lt 1 lc rgb '#33A02C' lw 3 # dark green
#set style line 4 lt 3 lc rgb '#33A02C' lw 3 # dark green

set style line 1 lt 1 lc rgb '#001F78B4' lw 3 # dark blue
set style line 2 lt 3 lc rgb '#771F78B4' lw 3 # dark blue
set style line 7 lt 1 lc rgb '#00FF7F00' lw 3 # dark orange
set style line 8 lt 3 lc rgb '#77FF7F00' lw 3 # dark orange
set style line 3 lt 1 lc rgb '#0033A02C' lw 3 # dark green
set style line 4 lt 3 lc rgb '#7733A02C' lw 3 # dark green


plot \
"< cat timeseries.txt | sort -n | perl -lane'print if $F[1]==1767679'" u 1:5 w steps ls 1 title "/24 with IRR", \
"< cat timeseries.txt | sort -n | perl -lane'print if $F[1]==1767682'" u 1:5 w steps ls 2 title "/24 no IRR", \
"< cat timeseries.txt | sort -n | perl -lane'print if $F[1]==1767680'" u 1:5 w steps ls 7 title "/25 with IRR", \
"< cat timeseries.txt | sort -n | perl -lane'print if $F[1]==1767683'" u 1:5 w steps ls 8 title "/25 no IRR", \
"< cat timeseries.txt | sort -n | perl -lane'print if $F[1]==1767681'" u 1:5 w steps ls 3 title "/28 with IRR", \
"< cat timeseries.txt | sort -n | perl -lane'print if $F[1]==1767684'" u 1:5 w steps ls 4 title "/28 no IRR"

### now 'positive' ASNS

set output "atlas-by-asn.pdf"
set title "Data plane reachability (AS-level)"
set ylabel "Percentage of ASNs\n(only ASNs with RIPE Atlas probes)"
plot \
"< cat timeseries.txt | sort -n | perl -lane'print if $F[1]==1767679'" u 1:8 w steps ls 1 title "/24 with IRR", \
"< cat timeseries.txt | sort -n | perl -lane'print if $F[1]==1767682'" u 1:8 w steps ls 2 title "/24 no IRR", \
"< cat timeseries.txt | sort -n | perl -lane'print if $F[1]==1767680'" u 1:8 w steps ls 7 title "/25 with IRR", \
"< cat timeseries.txt | sort -n | perl -lane'print if $F[1]==1767683'" u 1:8 w steps ls 8 title "/25 no IRR", \
"< cat timeseries.txt | sort -n | perl -lane'print if $F[1]==1767681'" u 1:8 w steps ls 3 title "/28 with IRR", \
"< cat timeseries.txt | sort -n | perl -lane'print if $F[1]==1767684'" u 1:8 w steps ls 4 title "/28 no IRR"


#1412294400  1767679  24 True  98.718137616   6787  2400  97.0833333333  1.125 1.79166666667
#1412294400  1767680  25 True  14.1699808514  6789  2400  15.7916666667  82.3333333333  1.875
#1412294400  1767681  28 True  10.3387334315  6790  2400  11.5833333333  86.75 1.66666666667
#1412294400  1767682  24 False 98.393751842   6786  2400  96.25 1.29166666667  2.45833333333
#1412294400  1767683  25 False 13.1830902931  6789  2400  14.5416666667  83.625   1.83333333333
#1412294400  1767684  28 False 9.51679434296  6788  2400  10.6666666667  87.8333333333  1.5

