#!/usr/bin/env python
from datetime import datetime,timedelta
import time
from ripe.atlas.cousteau import (
    Ping, 
    Traceroute,
    AtlasSource, 
    AtlasCreateRequest
)

traceroutes = []
traceroutes.append( Traceroute(**{
    "interval": 3600*8,
    "af": 4,
    "target": '23.128.24.1',
    "description": 'ARIN-23.128-BLOCK /24 WITH IRR TEST',
    "protocol": "ICMP",
}) )
traceroutes.append( Traceroute(**{
    "interval": 3600*8,
    "af": 4,
    "target": '23.128.25.1',
    "description": 'ARIN-23.128-BLOCK /25 WITH IRR TEST',
    "protocol": "ICMP",
}) )
traceroutes.append( Traceroute(**{
    "interval": 3600*8,
    "af": 4,
    "target": '23.128.25.241',
    "description": 'ARIN-23.128-BLOCK /28 WITH IRR TEST',
    "protocol": "ICMP",
}) )
traceroutes.append( Traceroute(**{
    "interval": 3600*8,
    "af": 4,
    "target": '23.128.124.1',
    "description": 'ARIN-23.128-BLOCK /24 NO IRR TEST',
    "protocol": "ICMP",
}) )
traceroutes.append( Traceroute(**{
    "interval": 3600*8,
    "af": 4,
    "target": '23.128.125.1',
    "description": 'ARIN-23.128-BLOCK /25 NO IRR TEST',
    "protocol": "ICMP",
}) )
traceroutes.append( Traceroute(**{
    "interval": 3600*8,
    "af": 4,
    "target": '23.128.125.241',
    "description": 'ARIN-23.128-BLOCK /25 NO IRR TEST',
    "protocol": "ICMP",
}) )

source = AtlasSource(**{
    "type": "area",
    "value": "WW",
    "requested": -1 
})

start_time = datetime.utcnow() + timedelta(seconds=120)
#start_time = int(time.time()) + 120

atlas_request = AtlasCreateRequest(**{
    "start_time": start_time,
    "key": '5531c157-ace1-46f2-b386-22a68b0539a6',
    "measurements": traceroutes,
    "sources": [source]
})

(is_success, response) = atlas_request.create()

print is_success,response
