set term pdf dashed
set output "ris_visibility.pdf"
set timefmt "%s"
set xdata time
set title "Visibility of 23.128/10 prefixes in RIS"
set xlabel "Time"
set format x "%b'%y"
set ylabel "Number of RIS peers"
set grid
set key center right
set for [i=1:5] linetype i lt i
#set style line 1 lt 2 lc rgb "red" lw 3
#set style line 2 lt 2 lc rgb "orange" lw 2
#set style line 3 lt 2 lc rgb "yellow" lw 3
#set style line 4 lt 2 lc rgb "green" lw 2
set style line 1 lc rgb '#77A6CEE3' # light blue
set style line 3 lc rgb '#77B2DF8A' # light green
set style line 4 lc rgb '#7733A02C' # dark green
set style line 5 lc rgb '#77FB9A99' # light red
set style line 6 lc rgb '#77E31A1C' # dark red
set style line 7 lc rgb '#77FDBF6F' # light orange
set style line 8 lc rgb '#77FF7F00' # dark orange

set style line 1 lt 1 lc rgb '#001F78B4' # dark blue
set style line 2 lt 3 lc rgb '#771F78B4' # dark blue
set style line 7 lt 1 lc rgb '#00FF7F00' # dark orange
set style line 8 lt 3 lc rgb '#77FF7F00' # dark orange
set style line 3 lt 1 lc rgb '#0033A02C' # dark green
set style line 4 lt 3 lc rgb '#7733A02C' # dark green

plot \
'ris_visibility_23.128.24.0.txt'    u 1:($2+0.12) w steps ls 1 lw 3 title '/24,with IRR', \
'ris_visibility_23.128.124.0.txt'   u 1:($2-0.12) w steps ls 2 lw 3 title '/24,no IRR', \
'ris_visibility_23.128.25.0.txt'    u 1:2 w steps ls 7 lw 3 title '/25,with IRR', \
'ris_visibility_23.128.125.0.txt'   u 1:2 w steps ls 8 lw 3 title '/25,no IRR', \
'ris_visibility_23.128.25.240.txt'  u 1:2 w steps ls 3 lw 3 title '/28,with IRR', \
'ris_visibility_23.128.125.240.txt' u 1:2 w steps ls 4 lw 3 title '/28,no IRR',
